classification
Title: Error while building PDF documentation
Type: Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Mariatta, docs@python, linkid, mdk, ned.deily, zach.ware
Priority: normal Keywords: patch

Created on 2017-09-11 19:54 by mdk, last changed 2017-10-03 08:48 by ned.deily. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 3693 merged linkid, 2017-09-22 09:19
PR 3699 merged zach.ware, 2017-09-22 18:21
PR 3700 merged zach.ware, 2017-09-22 18:22
Messages (11)
msg301895 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2017-09-11 19:54
Since the docsbuild-scripts [1] upgraded its sphinx-build [2], we're having this error when building the docs:

    ! Undefined control sequence.
    \py@authoraddress -> \strong

    {Python Software Foundation}\\ Email: \email {d...
    l.58 \sphinxtableofcontents
                           
    !  ==> Fatal error occurred, no output PDF file produced!


it looks like to be from conf.py line 97 [3]:

conf.py-95-# Additional stuff for the LaTeX preamble.
conf.py-96-latex_elements['preamble'] = r'''
conf.py:97:\authoraddress{
conf.py-98-  \strong{Python Software Foundation}\\
conf.py-99-  Email: \email{docs@python.org}
conf.py-100-}


 [1]: https://github.com/python/docsbuild-scripts 
 [2]: we merged https://github.com/python/docsbuild-scripts/pull/12
 [3]: https://github.com/python/cpython/blob/909a6f626ff343937cd3f06fda996870e7890724/Doc/conf.py#L97
msg302757 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2017-09-22 17:16
New changeset da9b4cfb488119f2493a762fcb1d85c58494f51d by Zachary Ware (François Magimel) in branch 'master':
bpo-31423: Fix building the PDF documentation (GH-3693)
https://github.com/python/cpython/commit/da9b4cfb488119f2493a762fcb1d85c58494f51d
msg302762 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2017-09-22 18:26
New changeset 6de35849cb7a18bfaad828eb57a2e6caa7978690 by Zachary Ware in branch '3.6':
[3.6] bpo-31423: Fix building the PDF documentation (GH-3693) (GH-3699)
https://github.com/python/cpython/commit/6de35849cb7a18bfaad828eb57a2e6caa7978690
msg302763 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2017-09-22 18:41
New changeset da86874a3d8f882d6aedd882b2e27f59b59d6798 by Zachary Ware in branch '2.7':
[2.7] bpo-31423: Fix building the PDF documentation (GH-3693) (GH-3700)
https://github.com/python/cpython/commit/da86874a3d8f882d6aedd882b2e27f59b59d6798
msg302765 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2017-09-22 18:43
Pending results of actual builds on docs.p.o, this should be fixed.
msg302766 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-09-22 19:41
Thanks for looking into this.  See also https://github.com/python/psf-salt/issues/118 where the question arose whether the version of Tex Live on docs is new enough.  I'm no expert at anything Tex but the odd thing is that I had been able to build dist docs on my current Debian (testing) system without this change.  Let's see what happens on docs after the daily full doc build.
msg302784 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-09-23 05:51
Good news! It appears that the changes supplied by @linkid have indeed fixed the daily downloadable doc build failures, 3.7, 3.6, and 2.7 docs were built successfully and the 404s are gone.  Thanks everyone for helping with this!
msg302861 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-09-24 15:19
Seems like people are seeing 404s when downloading docs today. By any chance this issue is related?
msg302869 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-09-24 17:12
> Seems like people are seeing 404s when downloading docs today.

Do you have specific URLs or web pages?  Or a link to where this was discussed?  I just did a quick look at some of the download pages and everything worked for me.
msg302965 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-09-25 17:27
Sorry!! Yesterday morning I received 50+ emails all about document download page is 404. Reading those again, turns out these are older emails from a week before, somehow just showing up in my mailbox.
I think everything is good here. :)

Thanks!
msg303582 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-10-03 08:48
New changeset a74ce09c738c3e3aa89994bf31049cb914dca389 by Ned Deily (Zachary Ware) in branch '3.6':
[3.6] bpo-31423: Fix building the PDF documentation (GH-3693) (GH-3699)
https://github.com/python/cpython/commit/a74ce09c738c3e3aa89994bf31049cb914dca389
History
Date User Action Args
2017-10-03 08:48:30ned.deilysetmessages: + msg303582
2017-09-25 17:27:31Mariattasetmessages: + msg302965
2017-09-24 17:12:04ned.deilysetmessages: + msg302869
2017-09-24 15:19:28Mariattasetnosy: + Mariatta
messages: + msg302861
2017-09-23 05:51:11ned.deilysetstatus: open -> closed

messages: + msg302784
stage: commit review -> resolved
2017-09-22 19:41:08ned.deilysetstatus: pending -> open
nosy: + ned.deily
messages: + msg302766

2017-09-22 18:43:17zach.waresetstatus: open -> pending
resolution: fixed
messages: + msg302765

stage: patch review -> commit review
2017-09-22 18:41:12zach.waresetmessages: + msg302763
2017-09-22 18:26:21zach.waresetmessages: + msg302762
2017-09-22 18:22:30zach.waresetpull_requests: + pull_request3684
2017-09-22 18:21:59zach.waresetpull_requests: + pull_request3683
2017-09-22 17:16:59zach.waresetnosy: + zach.ware
messages: + msg302757
2017-09-22 09:19:31linkidsetkeywords: + patch
stage: patch review
pull_requests: + pull_request3680
2017-09-22 08:39:41linkidsetnosy: + linkid
2017-09-11 19:54:48mdkcreate